package gz.cyberbrain.cyberhotel.junit.tests.facade.delegate;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestFacadeDelegateFactory {

	private static ApplicationContext context;
	
	static {
		context = new ClassPathXmlApplicationContext("applicationContext.xml");
		}
	
	private TestFacadeDelegateFactory(){}
	
	public static TestFacadeDelegate getTestFacadeDelegate(){
		return (TestFacadeDelegate) context.getBean("testFacadeDelegate");
	}
	
}
