package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.user.to.UserTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UserInUseException extends ModelException {

	private static final long serialVersionUID = 1980463236549592453L;
	private UserTo user;
	
	public UserInUseException (UserTo user){
		
		super("User " + user.getLogin() + " has got associated items.");
		
		this.user = user;
		
	}
	
	public UserTo getUser() {
		return user;
	}
	
}
