package gz.cyberbrain.cyberhotel.model.pricetype.dao;

import gz.cyberbrain.cyberhotel.model.pricetype.to.PriceTypeTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public interface PriceTypeDao {

	public PriceTypeTo create(PriceTypeTo prizeTypeTo) throws InternalErrorException;

	public PriceTypeTo find(String priceTypeCode) 
	throws InstanceNotFoundException, InternalErrorException;

	public void update (PriceTypeTo prizeTypeTo) 
	throws InternalErrorException;

	public void remove(PriceTypeTo prizeTypeTo) 
	throws InternalErrorException;

	public Collection findAll() throws InternalErrorException;

	public Collection findAllCodes() throws InternalErrorException;

	public boolean existRequests (String priceTypeCode) 
	throws InternalErrorException;

	public boolean isTariffied (String priceTypeCode)
	throws InternalErrorException;

}
