package gz.cyberbrain.cyberhotel.view.swing;

import gz.cyberbrain.cyberhotel.controller.SaveAdapter;

import java.io.Serializable;
import java.util.HashMap;

import javax.swing.JInternalFrame;

public abstract class FillableWindow extends JInternalFrame {
	
	public FillableWindow(String title, boolean resizable, boolean closable, boolean maximizable, boolean iconifiable) {
		super(title, resizable, closable, maximizable, iconifiable);
	}
	
	public abstract void setAdapter(SaveAdapter saveAdapter);
	
	public abstract void setId(Serializable id);
	
	public abstract Serializable getId();
	
	public abstract void fill(HashMap fields);
	
	public abstract void clean();
	
}