package gz.cyberbrain.cyberhotel.view.swing.util.gui;

import java.io.Serializable;

public class TableItem {

	private Serializable[] id;
	private Object[] columns;
	
	public TableItem(Serializable[] id, Object[] columns) {
		this.id = id;
		this.columns = columns;
	}
	
	public Serializable[] getId() {
		return id;
	}
	
	public Object[] getColumns() {
		return columns;
	}
	
	public void setColumns(Object[] columns) {
		this.columns = columns;
	}

	public void setId(Serializable[] id) {
		this.id = id;
	}

	public Object getColumn(int i) {
		return columns[i];
	}
	
	public void setColumn(int i, Object value) {
		columns[i] = value;
	}
	
}
