package gz.cyberbrain.cyberhotel.view.swing.util.locale;

import gz.cyberbrain.cyberhotel.model.util.config.ConfigurationHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

@SuppressWarnings("unchecked")
public class Locale {

    private static String location = ClassLoader.getSystemResource(".").getPath();
	private static File file;
	private static String fileName;
	private static InputStream fis;
	private static Map parameters;

	static  {
		
		try {		
			
			location = location.replace("%20", " "); //URL converts blankspaces into %20						
			
			ConfigurationHandler.init();

			fileName =  ConfigurationHandler.LOCALE;
															       		  		       
			file = new File(location + "gz/cyberbrain/cyberhotel/view/swing/messages/" + fileName + ".properties");			
						
			fis = new FileInputStream(file);

			Properties properties = new Properties();
			properties.load(fis);
			fis.close();
			
			parameters = new HashMap(properties);
			
		} catch (FileNotFoundException e) {			
			e.printStackTrace();
		} catch (IOException e) {		
			e.printStackTrace();	
		} catch (InternalErrorException e) {		
			e.printStackTrace();		
		}
		
	}

	public static String get(String field) {
	    
        String value = (String) parameters.get(field);
                                   
        return value;

	}
	
}
